## sauce 0.7.7.1

=== Makefile ===
########### Makefile
# Edit the settings below, if you like, and say `make install'.
#
# This file is part of SAUCE, a very picky anti-spam receiver-SMTP.
# SAUCE is Copyright (C) 1997-2001 Ian Jackson
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
#
# $Id: Makefile,v 1.22 2001/03/21 23:53:14 ian Exp $

# Edit these variables, if you want to:

prefix=/usr/local
var_base=/var
var_dir=$(var_base)/lib/sauce
log_dir=/var/log/sauce
etc_dir=/etc
tclsh=/usr/bin/tclsh8.2
var_run_dir=$(var_base)/run
fw_lockfile=$(var_run_dir)/sauce-firewall.lock

username=mail
userlist=/etc/userlist

bin_dir=$(prefix)/bin
sbin_dir=$(prefix)/sbin
share_dir=$(prefix)/share

sharelib_dir=$(share_dir)/sauce
doc_dir=$(share_dir)/doc/sauce

config_dir=$(etc_dir)/sauce
userv_dir=$(etc_dir)/userv
uservserv_dir=$(userv_dir)/services.d

INSTALL=/usr/bin/install
INSTALL_DATA=$(INSTALL) -c
INSTALL_PROGRAM=$(INSTALL) -c

# You should not need to edit anything beyond this point.
#
#

VERSION=	0.1

USERV_SERVS=	sauce-userblacklist sauce-firewall sauce-rcptpolicy

TCL_LIBS=	readlibs readconf library thread dns avf avfpool \
		smtp msgdata notifybl datastate yesmaster sconfig

TCL_USEREXECS=	sauce-bwlist sauce-setuserpolicy
TCL_SYSEXECS=	sauce sauceadmin sauce-setsyspolicy
TCL_LIBEXECS=	firewall rcpt-policy

TARGETS=	$(TCL_USEREXECS) $(TCL_SYSEXECS) $(TCL_LIBEXECS) \
		$(TCL_LIBS) $(USERV_SERVS)
DOC_FILES=	BLURB.text README.text ERRORS.text EXIM-CONFIG.text \
		INSTALL.text POLICY-CONFIG.text

all:		$(TARGETS)

install:	$(TARGETS)
		$(INSTALL_DATA) $(TCL_LIBS) $(sharelib_dir)
		$(INSTALL_PROGRAM) $(TCL_LIBEXECS) $(sharelib_dir)
		$(INSTALL_PROGRAM) $(TCL_USEREXECS) $(bin_dir)
		$(INSTALL_PROGRAM) $(TCL_SYSEXECS) $(sbin_dir)
		set -e; for f in $(USERV_SERVS); do \
			$(INSTALL_DATA) $$f $(uservserv_dir)/$$f:example; \
		done

install_doc:	$(DOC_FILES)
		$(INSTALL_DATA) $(DOC_FILES) $(doc_dir)

settings:	Makefile
		$(tclsh) setsettings.tcl >$@-n 				\
			_tclsh		"$(tclsh)"			\
			var_dir		"$(var_dir)"			\
			log_dir		"$(log_dir)"			\
			sbin_dir	"$(sbin_dir)"			\
			config_dir	"$(config_dir)"			\
			share_dir	"$(sharelib_dir)"		\
			readlibs	"$(sharelib_dir)/readlibs"	\
			username	"$(username)"			\
			userlist	"$(userlist)"			\
			fw_lockfile	"$(fw_lockfile)"		\
			tcl_lib_ext?	""
		@mv -f $@-n $@

%:		%.tcl settings
		$(tclsh) subst.tcl settings $<

%:		%.in settings
		$(tclsh) subst.tcl settings $<

clean distclean:
		rm -f settings $(TARGETS) *.new *~ ./#*# *.bak
		rm -f debian/*~ debian/#*# debian/*.bak
		rm -f db.addr-seen.main db.addr-list.log
		rm -f db.site-seen.main db.site-list.log

=== debian/changelog ===
sauce (0.7.7.1) unstable; urgency=low

  * NMU
  * moved docs from /usr/doc to /usr/share/doc (closes: #91644), also
    edited postinst and prerm to handle /usr/doc/sauce link correctly
  * Corrected location of GPL file.
  * Corrected spelling error in description.
  * Set documentation file permissions to 0644 (was 0755).

 -- Bas Zoetekouw <bas@debian.org>  Fri,  3 Aug 2001 11:38:39 +0200

sauce (0.7.7) unstable; urgency=high

  Important new features and improvements:
  * SAUCE now does not normally reject until it sees RCPT.  This makes it
    possible to mix SAUCEd and effectively un-SAUCEd addresses at the same
    domain.
  * Policy strictness, and the delay feature, are now much more
    configurable, and the possible recipient classes have been improved,
    clarified and documented.  The configuration can be per recipient
    address, including taking into account the local-part, as well as
    details of the sending site or user.  Policy can be configured by
    users using userv.  
  * Rejection log entries are much improved.  They now nearly always
    include:
     - the sending site name (or address) and envelope sender;
     - the recipient(s), and the SMTP response code given to each;
     - any RBL domains hit, as a separate item;
     - all the reasons why the rejection or deferral happened.
  * Now we try to be generous at `accepting' mails to bait addresses.  We
    return 250, but throw the message away.
  * For mails we'd like to reject, but policy says to accept, we add an
    X-SAUCE-Warning to the headers saying what was wrong.

  Minor improvements and new features:
  * Count avf MAIL FROM:<> => 5xx as a definite failure.
  * Irritation amount strings as displayed in SMTP responses are
    configurable.
  * When stalling due to anger (teergrube), fill up with anger_stallwith
    messages, not repeats.  These messages are configurable.
  * Transaction IDs are improved and appear in some visible outputs.
  * configurable notifybl from, default sauce-bounces@canonical_hostname.
  * When doing recipient verifications, we pause before accepting most of
    the header, rather than at final dot.  This may slightly reduce
    message duplication under pathological conditions.
  * Default blmessage.text simplified and now uses 1st person plural.
  * Debug messages are now indended by procedure call level.
  * Default set-firewall script included.
  * Internal syntax changes and cleanups.

  Many bugfixes:
  * If avf fails (except for 5xx), try again on a fresh connection.
  * Debian init.d stop script uses start-stop-daemon to ensure death.
  * When we shut down, catch_close_cleardesc the mtachan to abort any
    teergrube output currently happening.
  * Don't let the SMTP thread hang around after caller goes away.
  * Properly kill subthreads in when we finish an SMTP thread.
  * Originator header syntax checking uses its own errorCode to avoid
    550 due to internal errors.
  * Copyright dates updated.
  * Assorted other bugfixes.

  Debian packaging changes:
  * Now `extra' rather than `experimental'.
  * Depends on libadns1-bin.
  * Maintainer address corrected.

  (Version numbers 0.7.0-0.7.5 are on the branch-2000-12-21-overhaul, where
   the code should be considered ALPHA; this change log lists only changes
   that are relevant compared to the state in 0.6.1.)

 -- Ian Jackson <ian@chiark.greenend.org.uk>  Wed, 21 Mar 2001 23:59:54 +0000

sauce (0.6.1) unstable; urgency=low

  Bugfixes from chiark:
  * Cope with new format of ipchains -L output.
  * dbreasons log is more important than reject log.
  * --unknown option added to sauce-bwlist.
  * Allow HELO name to be CNAME (why?).
  * If HELO DNS lookup gives MISCONFIG, print correct error message.
  * Always print postmaster@... address in HELO response.
  * If RBL gave unexpected answer, preserve flow of control.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 20 Aug 2000 17:50:21 +0100

sauce (0.6.0) unstable; urgency=medium

  Major improvement:
  * Now uses adnshost(1) instead of host(1) for DNS lookups.  (`host' is
    from BIND and is buggy.)  This will produce some stricter checks.

  Bugfixes from chiark:
  * When ident gives garbage, do not lose thread flow-of-control.
  * RCPT arguments containing { } (and other metacharacters) properly
    processed rather than causing internal error.
  * userblacklist now -bwlist, can whitelist too.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 10 May 2000 01:51:41 +0100

sauce (0.5.0) experimental; urgency=low

  * New documentation files {README,BLURB,ERRORS,INSTALL}.text.
  * Give `install' the `-c' flag (and not `-o root -g root').

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 17 Oct 1999 19:57:34 +0100

sauce (0.4.14) unstable; urgency=low

  * Split sauce.tcl into two parts; have goes into new smtp.tcl.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat,  9 Oct 1999 16:48:20 +0100

sauce (0.4.13) unstable; urgency=medium

  New features:
  * Limit number of connections (prefer sites we're pleased with).
  * Firewall out sites which make us very angry and exceed conn limit. 

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat,  9 Oct 1999 15:58:47 +0100

sauce (0.4.12) unstable; urgency=medium

  Bugfixes:
  * When databases have bad format, show the line in question.
  * Blank commands, read errors, & unexpected EOFs reported sensibly.
  * Send blacklist notifications from <>.
  * Do not become angry (or pleased) with any local interface.
  * New `Ecstatic' pleasure level.
  * Show anger/pleasure in greeting.
  * Avoid unset variable bug with state(mf_parms).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 18 Sep 1999 18:00:10 +0100

sauce (0.4.11) unstable; urgency=low

  Bugfixes:
  * Properly store and remember quoted datastate keys.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 12 Sep 1999 23:15:16 +0100

sauce (0.4.10) unstable; urgency=low

  Bugfixes:
  * Do not listen to input after timeout-disconnect.



=== debian/control ===
Source: sauce
Section: mail
Priority: extra
Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
Standards-Version: 2.1.1.0

Package: sauce
Architecture: all
Depends: tcl8.2, authbind, libadns1-bin
Recommends: exim (>= 2.02-3), userv
Description: SMTP defence software against spam
 SAUCE (Software Against Unsolicited Commercial Email) sits between
 the Internet and your existing Mail Transfer Agent (e.g. Exim).  It
 does a number of checks on incoming mail, including being able to
 blacklist senders and their sites automatically when they mail
 special `spam bait' addresses.
 .
 This is an ALPHA version and should be used by experts only.

=== debian/rules ===
#!/usr/bin/make -f
# This file is part of SAUCE, a very picky anti-spam receiver-SMTP.
# SAUCE is Copyright (C) 1997-1999 Ian Jackson
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
#
# $Id: rules,v 1.16 2001/03/21 18:33:55 ian Exp $

package=sauce
revision=$(shell dpkg-parsechangelog | sed -n 's/^Version:.*-//p')
verext=-$(revision)deb

build:
	$(checkdir)
	rm -f settings
	$(MAKE) prefix=/usr

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i distclean
	-rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars*

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN debian/tmp/usr/{bin,sbin}
	install -d debian/tmp/{etc,usr/share,usr/share/doc}/sauce
	install -d debian/tmp/etc/{cron.weekly,init.d,userv/services.d}
	install -d debian/tmp/var/{log,lib}/$(package)
	install -d -m 750 debian/tmp/var/lib/$(package)/policies
	$(MAKE) install install_doc prefix=debian/tmp/usr \
		doc_dir=debian/tmp/usr/share/doc/sauce etc_dir=debian/tmp/etc
	set -e; for f in `grep '^/etc/userv/services.d/' debian/conffiles`; do \
		mv debian/tmp$$f:example debian/tmp$$f; \
	done
	install -m 755 debian/cron.weekly debian/tmp/etc/cron.weekly/sauce
	install -m 755 debian/sauce-run debian/tmp/usr/sbin/sauce-run
	install -m 755 debian/initd debian/tmp/etc/init.d/sauce
	install -m 755 debian/{pre,post}rm debian/postinst debian/tmp/DEBIAN/.
	install -m 644 debian/conffiles debian/tmp/DEBIAN/.
	install -m 644 debian/copyright debian/tmp/usr/share/doc/$(package)/.
	install -m 644 debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
	chmod 644 debian/tmp/usr/share/doc/$(package)/*
	gzip -9v debian/tmp/usr/share/doc/$(package)/changelog.Debian
	install -m 644 db.manual blmessage.text debian/sys-config \
			debian/tmp/etc/sauce/.
	install -m 755 debian/set-firewall debian/tmp/etc/sauce/.
	echo '# You may put SAUCE configuration here.' \
		>debian/tmp/etc/sauce/config
	(echo '# You may put SAUCE policy here; load with sauce-setsyspolicy.'\
		&& echo .) >debian/tmp/etc/sauce/policy
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chown -R mail.root debian/tmp/var/{lib,log}/sauce debian/tmp/etc/sauce/*
	chown root.root debian/tmp/etc/sauce/sys-config
	chmod -R u+w,go-ws,a+rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f sauce.tcl
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## sauce 0.7.14

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Edit the settings below, if you like, and say `make install'.
 #
 # This file is part of SAUCE, a very picky anti-spam receiver-SMTP.
-# SAUCE is Copyright (C) 1997-2001 Ian Jackson
+# SAUCE is Copyright (C) 1997-2003 Ian Jackson
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,7 +18,7 @@
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 #
-# $Id: Makefile,v 1.22 2001/03/21 23:53:14 ian Exp $
+# $Id: Makefile,v 1.23 2003/06/15 15:46:40 ian Exp $
 
 # Edit these variables, if you want to:
 
@@ -27,7 +27,7 @@
 var_dir=$(var_base)/lib/sauce
 log_dir=/var/log/sauce
 etc_dir=/etc
-tclsh=/usr/bin/tclsh8.2
+tclsh=/usr/bin/tclsh8.3
 var_run_dir=$(var_base)/run
 fw_lockfile=$(var_run_dir)/sauce-firewall.lock

=== debian/changelog ===
sauce (0.7.14) unstable; urgency=low

  Build changes:
  * Now uses Tcl 8.3 (there are no code changes, so 8.2 should still
    work).  Closes: #183804.
  * debian/control has build dependency on tcl8.3.  Closes: #190520.

  Administrative changes:
  * Copyright notices updated.
  * Blurb slightly improved; ref. to MAPS removed.
  * README now says it's BETA.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 15 Jun 2003 16:46:43 +0100

sauce (0.7.13) unstable; urgency=HIGH

  Bugfixes:
  * Do not blacklist on bounces, by default.
  * Do not complain about lack of Resent-Message-ID when not required.
  * When refreshing site blacklist, actually put in site, not addr, db.
  * When we quit the MTA, turn blocking on (avoids fd leak Tcl bug).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 15 Jun 2003 16:30:55 +0100

sauce (0.7.12) unstable; urgency=HIGH

  * thread.tcl spurious word `sauce' in log message changed.
  * fix erroneous rejection regarding Resent- headers.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 10 Nov 2002 17:44:59 +0000

sauce (0.7.11) unstable; urgency=medium

  Fixes to general bugs and other infelicities:
  * Actually do avf on originator headers (!)
  * When underlying MTA dies at banner or HELO, say that it's the MTA's
    failure message we display.
  * Dependency on exim allows exim-tls too.
  * When firewall setting fails, do not bomb out completely.
  * Include ic id in saucestate response.
  * Edited TODO.
  
  Occasional `421 Internal error' bugs fixed:
  * On DATA because we didn't spot mixed recipient kinds.
  * At final dot.  (Propagate `eom' through header processing.)
  * ip-literal originator headers.  (Pass and hexify [ and ].)
  * On DATA with no recipients (initialise a_kinds and other variables.)
  * When pipelining avf gets unexpected eof.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Fri,  5 Jul 2002 19:08:17 +0100

sauce (0.7.10) unstable; urgency=low

  * sauce-setuserpolicy userv service works with subpolicies.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Tue,  4 Dec 2001 19:37:26 +0000

sauce (0.7.9) unstable; urgency=low

  * Default verification timeouts tweaked.
  * When doing maildomain lookup, allow partially-cropped names
    to be CNAMEs, but do not allow original HELO name to be CNAME.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 18 Nov 2001 15:41:10 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # This file is part of SAUCE, a very picky anti-spam receiver-SMTP.
-# SAUCE is Copyright (C) 1997-1999 Ian Jackson
+# SAUCE is Copyright (C) 1997-2003 Ian Jackson
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,7 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 #
-# $Id: rules,v 1.16 2001/03/21 18:33:55 ian Exp $
+# $Id: rules,v 1.19 2003/06/15 15:46:40 ian Exp $
 
 package=sauce
 revision=$(shell dpkg-parsechangelog | sed -n 's/^Version:.*-//p')

## sauce 0.7.16

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 #
-# $Id: Makefile,v 1.23 2003/06/15 15:46:40 ian Exp $
+# $Id: Makefile,v 1.23.2.1 2004/01/14 22:56:33 ian Exp $
 
 # Edit these variables, if you want to:
 
@@ -62,7 +62,7 @@
 
 TCL_USEREXECS=	sauce-bwlist sauce-setuserpolicy
 TCL_SYSEXECS=	sauce sauceadmin sauce-setsyspolicy
-TCL_LIBEXECS=	firewall rcpt-policy
+TCL_LIBEXECS=	firewall rcpt-policy clean-site-annoy
 
 TARGETS=	$(TCL_USEREXECS) $(TCL_SYSEXECS) $(TCL_LIBEXECS) \
 		$(TCL_LIBS) $(USERV_SERVS)

=== debian/changelog ===
sauce (0.7.16) stable; urgency=high

  Important bugfix:
  * site-annoy database expires properly and also manages to keep
    entries made after (time_t)(0x40000000-epsilon) (oops!)

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 15 Jan 2004 00:31:03 +0000

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 #
-# $Id: rules,v 1.19 2003/06/15 15:46:40 ian Exp $
+# $Id: rules,v 1.19.2.2 2004/01/14 23:30:46 ian Exp $
 
 package=sauce
 revision=$(shell dpkg-parsechangelog | sed -n 's/^Version:.*-//p')

## sauce 0.8.1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 #
-# $Id: Makefile,v 1.23.2.1 2004/01/14 22:56:33 ian Exp $
+# $Id: Makefile,v 1.24 2004/01/14 22:59:13 ian Exp $
 
 # Edit these variables, if you want to:

=== debian/changelog ===
sauce (0.8.1) unstable; urgency=low

  Bugfixes:
  * site-annoy database expires properly
    (NB you must clean it when you upgrade!)
  * Fix descriptor leak in ic msg_checkeof.
  * More sensible debug.log entries for firewall commands.
  * Display ipchains/iptables commands in debug.log.

  New features:
  * Support Linux 2.4 iptables.
  * Sobig.F shibboleth implemented (taboo_virus_hack, default=off).
  * New X-SAUCE-Notice header informs receiving user of anger towards
    sending site.
  * busyfury_firewall has new value `immed' meaning firewall for every
    `421 too busy' or `421 excessive concurrency', not just when
    maximally furious.
  * New `errok-' policy option for stopping SAUCE from getting too upset
    with .forward-upstreams and mailing list hosts.  Untested yet.
  * Stalling pure-teergrube server for over-aggressive callers.
  * Reinvoking thread_typedefine made safe: doesn't reset id counter.
    (Means you can patch the running SAUCE more easily.)

  Changes to autoblacklisting:
  * blmessage.text split into blmessage-site.text and -addr.text.
  * blmessage.text updated from chiark (no unblacklist policy).
  * Update blacklist timeouts.  (2mth/2mth -> 7d/12mth)

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 14 Jan 2004 23:48:01 +0000

=== debian/control ===
Source: sauce
Section: mail
Priority: extra
Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
Standards-Version: 2.1.1.0
Build-Depends: tcl8.3

Package: sauce
Architecture: all
Depends: tcl8.3, authbind, libadns1-bin
Recommends: exim (>= 2.02-3) | exim-tls (>= 2.02-3), userv
Description: SMTP defence software against spam
 SAUCE (Software Against Unsolicited Commercial Email) sits between
 the Internet and your existing Mail Transfer Agent (e.g. Exim).  It
 does a number of checks on incoming mail, including being able to
 blacklist senders and their sites automatically when they mail
 special `spam bait' addresses.
 .
 This is a BETA version and is best used by mail experts only.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 #
-# $Id: rules,v 1.19.2.2 2004/01/14 23:30:46 ian Exp $
+# $Id: rules,v 1.23 2004/01/14 23:18:38 ian Exp $
 
 package=sauce
 revision=$(shell dpkg-parsechangelog | sed -n 's/^Version:.*-//p')
@@ -55,7 +55,7 @@
 	install -m 644 debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
 	chmod 644 debian/tmp/usr/share/doc/$(package)/*
 	gzip -9v debian/tmp/usr/share/doc/$(package)/changelog.Debian
-	install -m 644 db.manual blmessage.text debian/sys-config \
+	install -m 644 db.manual blmessage-*.text debian/sys-config \
 			debian/tmp/etc/sauce/.
 	install -m 755 debian/set-firewall debian/tmp/etc/sauce/.
 	echo '# You may put SAUCE configuration here.' \

## sauce 0.8.1-1.1

=== debian/changelog ===
sauce (0.8.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added a logrotate file provided by Mark Brown <broonie@sirena.org.uk>
    (Closes: #215237).
  * Get rid of the /usr/doc link in postinst (Closes: #359574).
  * Consistently use invoke-rc.d in maintainer scripts (Closes:
    #367759).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 17 Jul 2006 22:37:40 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: sauce
 Architecture: all
 Depends: tcl8.3, authbind, libadns1-bin
-Recommends: exim (>= 2.02-3) | exim-tls (>= 2.02-3), userv
+Recommends: exim4 | exim4-daemon-light, userv
 Description: SMTP defence software against spam
  SAUCE (Software Against Unsolicited Commercial Email) sits between
  the Internet and your existing Mail Transfer Agent (e.g. Exim).  It

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	-rm -rf debian/tmp
 	install -d debian/tmp/DEBIAN debian/tmp/usr/{bin,sbin}
 	install -d debian/tmp/{etc,usr/share,usr/share/doc}/sauce
-	install -d debian/tmp/etc/{cron.weekly,init.d,userv/services.d}
+	install -d debian/tmp/etc/{cron.weekly,init.d,userv/services.d,logrotate.d}
 	install -d debian/tmp/var/{log,lib}/$(package)
 	install -d -m 750 debian/tmp/var/lib/$(package)/policies
 	$(MAKE) install install_doc prefix=debian/tmp/usr \
@@ -49,6 +49,7 @@
 	install -m 755 debian/cron.weekly debian/tmp/etc/cron.weekly/sauce
 	install -m 755 debian/sauce-run debian/tmp/usr/sbin/sauce-run
 	install -m 755 debian/initd debian/tmp/etc/init.d/sauce
+	install -m 644 debian/sauce.logrotate debian/tmp/etc/logrotate.d/sauce
 	install -m 755 debian/{pre,post}rm debian/postinst debian/tmp/DEBIAN/.
 	install -m 644 debian/conffiles debian/tmp/DEBIAN/.
 	install -m 644 debian/copyright debian/tmp/usr/share/doc/$(package)/.

## sauce 0.9.0ubuntu1

=== debian/changelog ===
sauce (0.9.0ubuntu1) intrepid; urgency=low

  * Fix dependency, libadns1-bin is now called adns-tools. (Debian #490764)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Aug 2008 13:20:40 +0200

sauce (0.9.0) unstable; urgency=low

  Improvements:
  * Treat 55x on banner as permanent address verification failure, as
    suggested by Ben Harris.  Closes: #443512.
  
  Bugfixes:
  * Timeout for message body reception, which was previously missing (!)
  * Timeout for transmission of delayed responses.
  * Cleanups from chiark: fix some leaked channels and timeouts.
  * Always call ic_msg_resetvars after ic_*command*response*.

  Debian packaging fixes, and portability improvements:
  * Replace test == with test =.  Closes: #465356.
  * Specify SHELL=/bin/bash in debian/rules.  Closes: #459125.
  * LSB init script dependencies specified.  Closes: #469630.
    While we're there, remove the rcsid and attribution stuff, which
    will just cause needless conffile prompts etc.
  * Use invoke-rc.d in Debian maintainer scripts.
  * Slight reorganisation of {binary,build}{-arch,-indep,} rules.
  * Use logrotate instead of savelog.
  * Increased Standards-Version.  Closes: #346056.
  * Add exim4 to recommendations for suitable MTA.  Closes: #228574.
  * Change maintainer email address.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 08 Mar 2008 17:35:10 +0000

sauce (0.8.99.iwj.5) unstable; urgency=low

  Improvements:
  * Better messages reporting various avf failures, particularly
    timeouts and unexpected SMTP responses.
  * Rewrite stupid Outlook-generated syntax error To header,
    leaving a warning in the headers if we accept.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 28 Oct 2006 18:00:39 +0100

sauce (0.8.99.iwj.4) unstable; urgency=low

  * Bugfixes from chiark:
    Correct oninfo handler for cdb-wr.
    Do not treat every to-be-quoted key as the string `key' (!)

 -- Ian Jackson <ian@localhost.localdomain>  Mon,  3 Apr 2006 02:01:56 +0100

sauce (0.8.99.iwj.3) unstable; urgency=low

  * adns done with chiark_tcl_adns extension rather than fork/exec
    adnshost.  Ready for test on chiark.

 -- Ian Jackson <ian@localhost.localdomain>  Mon,  3 Apr 2006 01:57:01 +0100

sauce (0.8.99.iwj.2) unstable; urgency=low

  * convertdb, sauce9-convert, etc., seem to work
  * use cdb-wr from chiark-tcl instead of Tcl hashes.  30x less RAM used.
  * new convertb script, wip
  * smtp.tcl sets encoding conversion  MUST CHECK OTHER CHANNELS, LOGS

  changes from chiark:
  * properly clear out various variables in ic_msg_resetvars.
  * new config paramater blmessage_sendmail_args
  * allow disabling of blacklist notifications if message is /dev/null
  * punish sites that send bogus ident replies
  * check whitelisted sites for RBL, too
  
  * copyright notices for convertdb and sauce9-convert
    convertdb -> convertdb.in
  * make files in /var/lib/sauce 0644 mail.mail.
  * do not treat every email address as `key' (!)

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun,  2 Apr 2006 20:07:13 +0100

sauce (0.8.2) unstable; urgency=high

  * Do not 421 when PIPELINING disappears from the ESMTP extensions we
    want to offer.  Instead, just offer it again anyway.
  * Actually install stall.tcl (!)
  * TODO list says we should check dates.
  * Make cron.weekly refer to SAUCE_LOGS_... like in sys-config,
    not SAUCE_LOG_...

 --

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: sauce
 Section: mail
 Priority: extra
-Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
-Standards-Version: 2.1.1.0
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
+Standards-Version: 3.7.3.0
 Build-Depends: tcl8.3
 
 Package: sauce
 Architecture: all
-Depends: tcl8.3, authbind, libadns1-bin
-Recommends: exim4 | exim4-daemon-light, userv
+Depends: tcl8.3, authbind, adns-tools, libtcl-chiark-1
+Recommends: exim4 | exim4-daemon-light |
+             exim (>= 2.02-3) | exim-tls (>= 2.02-3),
+            userv
 Description: SMTP defence software against spam
  SAUCE (Software Against Unsolicited Commercial Email) sits between
  the Internet and your existing Mail Transfer Agent (e.g. Exim).  It

## sauce 0.9.0+nmu1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 #
-# $Id: Makefile,v 1.24 2004/01/14 22:59:13 ian Exp $
+# $Id: Makefile,v 1.27 2006/04/02 18:30:36 ian Exp $
 
 # Edit these variables, if you want to:
 
@@ -58,11 +58,11 @@
 USERV_SERVS=	sauce-userblacklist sauce-firewall sauce-rcptpolicy
 
 TCL_LIBS=	readlibs readconf library thread dns avf avfpool \
-		smtp msgdata notifybl datastate yesmaster sconfig
+		smtp msgdata notifybl datastate yesmaster sconfig stall
 
 TCL_USEREXECS=	sauce-bwlist sauce-setuserpolicy
-TCL_SYSEXECS=	sauce sauceadmin sauce-setsyspolicy
-TCL_LIBEXECS=	firewall rcpt-policy clean-site-annoy
+TCL_SYSEXECS=	sauce sauceadmin sauce-setsyspolicy sauce9-convert
+TCL_LIBEXECS=	firewall rcpt-policy clean-site-annoy convertdb
 
 TARGETS=	$(TCL_USEREXECS) $(TCL_SYSEXECS) $(TCL_LIBEXECS) \
 		$(TCL_LIBS) $(USERV_SERVS)
@@ -79,6 +79,9 @@
 		set -e; for f in $(USERV_SERVS); do \
 			$(INSTALL_DATA) $$f $(uservserv_dir)/$$f:example; \
 		done
+
+databases:
+		SAUCE9_CONVERTB=./convertdb sauce9-convert $(var_dir)
 
 install_doc:	$(DOC_FILES)
 		$(INSTALL_DATA) $(DOC_FILES) $(doc_dir)
@@ -107,5 +110,6 @@
 clean distclean:
 		rm -f settings $(TARGETS) *.new *~ ./#*# *.bak
 		rm -f debian/*~ debian/#*# debian/*.bak
-		rm -f db.addr-seen.main db.addr-list.log
-		rm -f db.site-seen.main db.site-list.log
+		rm -f cdb.addr-seen.main cdb.addr-list.log
+		rm -f cdb.site-seen.main cdb.site-list.log
+		rm -f cdb.site-annoy.main cdb.site-annoy.log

=== debian/changelog ===
sauce (0.9.0+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove code from postinst that creates a link to /usr/doc/sauce, if 
    /usr/doc exists. (Closes: #359574)
  * libadns1-bin has been renamed to adns-tools, update dependency. 
    (Closes: #490764)
  * Semantically fix broken changelog entry for 0.8.2. (Closes: #497715),
    please note that the actual date I set is not correct, as I couldn't find 
    that upload.
  * Remove copyright notice at the end of debian/changelog. (Closes: #499685)

 -- Holger Levsen <holger@debian.org>  Sun, 21 Sep 2008 10:31:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sauce
 Section: mail
 Priority: extra
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
+Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
 Standards-Version: 3.7.3.0
 Build-Depends: tcl8.3

## sauce 0.9.0+nmu2

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 var_dir=$(var_base)/lib/sauce
 log_dir=/var/log/sauce
 etc_dir=/etc
-tclsh=/usr/bin/tclsh8.3
+tclsh=/usr/bin/tclsh8.4
 var_run_dir=$(var_base)/run
 fw_lockfile=$(var_run_dir)/sauce-firewall.lock

=== debian/changelog ===
sauce (0.9.0+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Depends on Tcl 8.3 which is planned to removal" Applied patch by
    Sergei Golovan (Closes: #473014):
    - Changed Tcl dependencies to tcl8.4 instead of obsolote tcl8.3

 -- Bastian Venthur <venthur@debian.org>  Fri, 13 Aug 2010 23:42:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
 Standards-Version: 3.7.3.0
-Build-Depends: tcl8.3
+Build-Depends: tcl8.4
 
 Package: sauce
 Architecture: all
-Depends: tcl8.3, authbind, adns-tools, libtcl-chiark-1
+Depends: tcl8.4, authbind, adns-tools, libtcl-chiark-1
 Recommends: exim4 | exim4-daemon-light |
              exim (>= 2.02-3) | exim-tls (>= 2.02-3),
             userv

## sauce 0.9.0+nmu3

=== debian/changelog ===
sauce (0.9.0+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Change Tcl dependencies to tcl instead of obsolete tcl8.4.
    Closes: #725278.
  * Adjust working with masks to Tcl 8.5 and newer arbitrary precision
    integers. Closes: #655733.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 31 Oct 2013 14:41:24 +0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
 Standards-Version: 3.7.3.0
-Build-Depends: tcl8.4
+Build-Depends: tcl
 
 Package: sauce
 Architecture: all
-Depends: tcl8.4, authbind, adns-tools, libtcl-chiark-1
+Depends: tcl, authbind, adns-tools, libtcl-chiark-1
 Recommends: exim4 | exim4-daemon-light |
              exim (>= 2.02-3) | exim-tls (>= 2.02-3),
             userv

=== debian/rules ===
--- 
+++ 
@@ -16,16 +16,24 @@
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 #
-# $Id: rules,v 1.23 2004/01/14 23:18:38 ian Exp $
+# $Id: rules,v 1.23.4.3 2008/03/08 16:29:36 ian Exp $
+
+SHELL=/bin/bash
 
 package=sauce
 revision=$(shell dpkg-parsechangelog | sed -n 's/^Version:.*-//p')
 verext=-$(revision)deb
 
-build:
+build-indep:
 	$(checkdir)
 	rm -f settings
 	$(MAKE) prefix=/usr
+
+build:	build-indep
+binary:	binary-indep
+
+build-arch binary-arch:
+	# we only produce Architecture: all packages
 
 clean:
 	$(checkdir)
@@ -33,12 +41,12 @@
 	-$(MAKE) -i distclean
 	-rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars*
 
-binary-indep:	checkroot build
+binary-indep:	checkroot build-indep
 	$(checkdir)
 	-rm -rf debian/tmp
 	install -d debian/tmp/DEBIAN debian/tmp/usr/{bin,sbin}
 	install -d debian/tmp/{etc,usr/share,usr/share/doc}/sauce
-	install -d debian/tmp/etc/{cron.weekly,init.d,userv/services.d,logrotate.d}
+	install -d debian/tmp/etc/{logrotate.d,init.d,userv/services.d}
 	install -d debian/tmp/var/{log,lib}/$(package)
 	install -d -m 750 debian/tmp/var/lib/$(package)/policies
 	$(MAKE) install install_doc prefix=debian/tmp/usr \
@@ -46,10 +54,9 @@
 	set -e; for f in `grep '^/etc/userv/services.d/' debian/conffiles`; do \
 		mv debian/tmp$$f:example debian/tmp$$f; \
 	done
-	install -m 755 debian/cron.weekly debian/tmp/etc/cron.weekly/sauce
+	install -m 755 debian/logrotate debian/tmp/etc/logrotate.d/sauce
 	install -m 755 debian/sauce-run debian/tmp/usr/sbin/sauce-run
 	install -m 755 debian/initd debian/tmp/etc/init.d/sauce
-	install -m 644 debian/sauce.logrotate debian/tmp/etc/logrotate.d/sauce
 	install -m 755 debian/{pre,post}rm debian/postinst debian/tmp/DEBIAN/.
 	install -m 644 debian/conffiles debian/tmp/DEBIAN/.
 	install -m 644 debian/copyright debian/tmp/usr/share/doc/$(package)/.
@@ -70,19 +77,9 @@
 	chmod -R u+w,go-ws,a+rX debian/tmp
 	dpkg --build debian/tmp ..
 
-binary-arch:	checkroot build
-	$(checkdir)
-# There are no architecture-dependent files to be uploaded
-# generated by this package.  If there were any they would be
-# made here.
-
 define checkdir
 	test -f sauce.tcl
 endef
-
-# Below here is fairly generic really
-
-binary:		binary-indep binary-arch
 
 source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

## sauce 0.9.0+nmu4

=== debian/changelog ===
sauce (0.9.0+nmu4) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 17:29:06 +0100

## sauce 0.9.1

=== debian/changelog ===
sauce (0.9.1) unstable; urgency=medium

  [ Ian Jackson ]
  * Restore .cvsignore file erroneously deleted in NMU
  * Rename .cvsignore to .gitignore
  * debian/control: Update Maintainer address (Closes: #979639)

  [ Chris Lamb ]
  * debian/rules: Make the build reproducible (Closes: #777401)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 27 Jan 2021 16:54:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: sauce
 Section: mail
 Priority: extra
-Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
+Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 3.7.3.0
 Build-Depends: tcl

=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
 	install -m 644 debian/copyright debian/tmp/usr/share/doc/$(package)/.
 	install -m 644 debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
 	chmod 644 debian/tmp/usr/share/doc/$(package)/*
-	gzip -9v debian/tmp/usr/share/doc/$(package)/changelog.Debian
+	gzip -9nv debian/tmp/usr/share/doc/$(package)/changelog.Debian
 	install -m 644 db.manual blmessage-*.text debian/sys-config \
 			debian/tmp/etc/sauce/.
 	install -m 755 debian/set-firewall debian/tmp/etc/sauce/.

## sauce 0.9.2

=== debian/changelog ===
sauce (0.9.2) unstable; urgency=medium

  * debian/rules: Fix mode on /etc/logrotate.d/sauce.
    (Existing installations won't be fixed; the mode can be changed to 0644
    by the administrator.)  loses: #1035361.  [Report from Andreas Beckmann]
  * sauce9-convert.in: Change chown call to use new : syntax.
    (Closes: #1035396.  [Report from Andreas Beckmann]
  * debian/rules: Change chown call to use new : syntax.

 -- Ian Jackson <ian@zealot.relativity.greenend.org.uk>  Sun, 14 May 2023 17:50:33 +0100

## sauce 0.9.2+nmu1

=== debian/changelog ===
sauce (0.9.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Be explicit about the need for `fakeroot` for assembling the
    binary packages via `Rules-Requires-Root: binary-targets`.
    (Closes: #1086944)

 -- Niels Thykier <niels@thykier.net>  Mon, 30 Dec 2024 10:10:45 +0000

## sauce 0.9.3

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 var_dir=$(var_base)/lib/sauce
 log_dir=/var/log/sauce
 etc_dir=/etc
-tclsh=/usr/bin/tclsh8.4
+tclsh=/usr/bin/tclsh
 var_run_dir=$(var_base)/run
 fw_lockfile=$(var_run_dir)/sauce-firewall.lock

=== debian/changelog ===
sauce (0.9.3) unstable; urgency=medium

  * When verifying email addresses, tolerate MX's that have only AAAA
    RRs and no A RRs.  (We still don't properly support IPv6, sadly.)
    [Report from Simon Iremonger]  Closes: #1106228.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 24 May 2025 19:57:55 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: mail
 Priority: extra
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Rules-Requires-Root: binary-targets
 Standards-Version: 3.7.3.0
 Build-Depends: tcl

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	set -e; for f in `grep '^/etc/userv/services.d/' debian/conffiles`; do \
 		mv debian/tmp$$f:example debian/tmp$$f; \
 	done
-	install -m 755 debian/logrotate debian/tmp/etc/logrotate.d/sauce
+	install -m 644 debian/logrotate debian/tmp/etc/logrotate.d/sauce
 	install -m 755 debian/sauce-run debian/tmp/usr/sbin/sauce-run
 	install -m 755 debian/initd debian/tmp/etc/init.d/sauce
 	install -m 755 debian/{pre,post}rm debian/postinst debian/tmp/DEBIAN/.
@@ -71,9 +71,9 @@
 	(echo '# You may put SAUCE policy here; load with sauce-setsyspolicy.'\
 		&& echo .) >debian/tmp/etc/sauce/policy
 	dpkg-gencontrol -isp
-	chown -R root.root debian/tmp
-	chown -R mail.root debian/tmp/var/{lib,log}/sauce debian/tmp/etc/sauce/*
-	chown root.root debian/tmp/etc/sauce/sys-config
+	chown -R root:root debian/tmp
+	chown -R mail:root debian/tmp/var/{lib,log}/sauce debian/tmp/etc/sauce/*
+	chown root:root debian/tmp/etc/sauce/sys-config
 	chmod -R u+w,go-ws,a+rX debian/tmp
 	dpkg --build debian/tmp ..

## sauce 0.9.4

=== debian/changelog ===
sauce (0.9.4) unstable; urgency=medium

  * Completely rework adminsecret handling
  * Startup script: Pass -s to su
  * init script: Wait for sauce to have started.
  * Add an autopkgtest

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 14 Nov 2025 18:41:31 +0000

=== debian/tests/control ===
Tests: t-startup
Depends: @, ed, authbind
Restrictions: allow-stderr, needs-root, isolation-machine, needs-reboot

## sauce 0.9.5

=== debian/changelog ===
sauce (0.9.5) unstable; urgency=medium

  * Debian: Use debhelper for various operations, notably
    dh_installdeb and dh_installinit.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 07 Dec 2025 22:40:36 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Rules-Requires-Root: binary-targets
 Standards-Version: 3.7.3.0
-Build-Depends: tcl
+Build-Depends: tcl, debhelper-compat (= 13)
 
 Package: sauce
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,8 @@
 package=sauce
 revision=$(shell dpkg-parsechangelog | sed -n 's/^Version:.*-//p')
 verext=-$(revision)deb
+
+DH_P=-P debian/tmp
 
 build-indep:
 	$(checkdir)
@@ -56,8 +58,8 @@
 	done
 	install -m 644 debian/logrotate debian/tmp/etc/logrotate.d/sauce
 	install -m 755 debian/sauce-run debian/tmp/usr/sbin/sauce-run
-	install -m 755 debian/initd debian/tmp/etc/init.d/sauce
-	install -m 755 debian/{pre,post}rm debian/postinst debian/tmp/DEBIAN/.
+	dh_installinit $(DH_P)
+	dh_installdeb $(DH_P)
 	install -m 644 debian/conffiles debian/tmp/DEBIAN/.
 	install -m 644 debian/copyright debian/tmp/usr/share/doc/$(package)/.
 	install -m 644 debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian

## sauce 0.9.6

=== Makefile ===
--- 
+++ 
@@ -61,7 +61,8 @@
 		smtp msgdata notifybl datastate yesmaster sconfig stall
 
 TCL_USEREXECS=	sauce-bwlist sauce-setuserpolicy
-TCL_SYSEXECS=	sauce sauceadmin sauce-setsyspolicy sauce9-convert
+TCL_SYSEXECS=	sauce sauceadmin sauce-setsyspolicy sauce9-convert \
+		sauce-await-startup
 TCL_LIBEXECS=	firewall rcpt-policy clean-site-annoy convertdb
 
 TARGETS=	$(TCL_USEREXECS) $(TCL_SYSEXECS) $(TCL_LIBEXECS) \

=== debian/changelog ===
sauce (0.9.6) unstable; urgency=medium

  [Ben Harris]
  * Add Salsa CI config based on userv's one
  * Add a systemd unit file.  Closes: #1039361.  Don't use sauce-startup.log.
  * Remove explicit invocations of update-rc.d from maint scripts
  * Add dh_clean to "clean" target
  * Use ${misc:Pre-Depends} and ${misc:Depends}

  [Ian Jackson]
  * init script: Source lsb/init-functions.. [Suggestion from Ben Harris]
  * Add a debhelper dropping to .gitignore.
  * Break out sauce-await-startup and use it in service file and init script.
  * init script: Honour $SAUCE_USER on stop.
  * Provide SAUCE_USER default in example sys-config. [Report from Ben Harris]
  * autopkgtest: Test a restart.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 09 Dec 2025 20:19:04 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 
 Package: sauce
 Architecture: all
-Depends: tcl, authbind, adns-tools, libtcl-chiark-1
+Pre-Depends: ${misc:Pre-Depends}
+Depends: tcl, authbind, adns-tools, libtcl-chiark-1, ${misc:Depends}
 Recommends: exim4 | exim4-daemon-light |
              exim (>= 2.02-3) | exim-tls (>= 2.02-3),
             userv

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	-rm -f build
 	-$(MAKE) -i distclean
 	-rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars*
+	dh_clean
 
 binary-indep:	checkroot build-indep
 	$(checkdir)
@@ -59,6 +60,7 @@
 	install -m 644 debian/logrotate debian/tmp/etc/logrotate.d/sauce
 	install -m 755 debian/sauce-run debian/tmp/usr/sbin/sauce-run
 	dh_installinit $(DH_P)
+	dh_installsystemd $(DH_P)
 	dh_installdeb $(DH_P)
 	install -m 644 debian/conffiles debian/tmp/DEBIAN/.
 	install -m 644 debian/copyright debian/tmp/usr/share/doc/$(package)/.
